REGULATOR_NOTIFIER_C(9)

NAME
regulator_notifier_call_chain - call regulator event notifier

SYNOPSIS

int regulator_notifier_call_chain(struct regulator_dev * rdev, unsigned long event, void * data);

ARGUMENTS

rdev
    regulator source

event
    notifier block

data
    callback-specific data.

DESCRIPTION

Called by regulator drivers to notify clients a regulator event has occurred. We also notify regulator clients downstream. Note lock must be held by caller.

AUTHORS

Liam Girdwood <lrg@slimlogic.co.uk>
    Author.

Mark Brown <broonie@opensource.wolfsonmicro.com>
Wolfson Microelectronics,

    Author.

COPYRIGHT